Loading...
Searching...
No Matches
volk_32fc_convert_16ic.h File Reference
`#include "volk/volk_complex.h"`
`#include <limits.h>`
`#include <math.h>`
`#include <emmintrin.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_32fc_convert_16ic_u_H

## Functions

static void | volk_32fc_convert_16ic_a_sse2 (lv_16sc_t *outputVector, const lv_32fc_t *inputVector, unsigned int num_points)
static void | volk_32fc_convert_16ic_generic (lv_16sc_t *outputVector, const lv_32fc_t *inputVector, unsigned int num_points)
static void | volk_32fc_convert_16ic_u_sse2 (lv_16sc_t *outputVector, const lv_32fc_t *inputVector, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_32fc_convert_16ic_u_H

#define INCLUDED_volk_32fc_convert_16ic_u_H

## Function Documentation

## volk_32fc_convert_16ic_a_sse2()

void volk_32fc_convert_16ic_a_sse2 | ( | lv_16sc_t * | outputVector,
|  | const lv_32fc_t * | inputVector,
|  | unsigned int | num_points )

inline static

## volk_32fc_convert_16ic_generic()

void volk_32fc_convert_16ic_generic | ( | lv_16sc_t * | outputVector,
|  | const lv_32fc_t * | inputVector,
|  | unsigned int | num_points )

inline static

## volk_32fc_convert_16ic_u_sse2()

void volk_32fc_convert_16ic_u_sse2 | ( | lv_16sc_t * | outputVector,
|  | const lv_32fc_t * | inputVector,
|  | unsigned int | num_points )

inline static